#pragma once
#include "vault.h"
#include "FL/glut.h"
#include "model.h"
#include "modelerdraw.h"
class MyModel : public Model
{
public:

	MyModel(const char* name) ;
	virtual void draw();

private:
	// Add Properties, Shaders, Textures here
	RangeProperty spinBase;
	RangeProperty udShoulder1;
	RangeProperty ioElbow1;
	RangeProperty udShoulder2;
	RangeProperty ioElbow2;
	RangeProperty pinchers1;
	RangeProperty pinchers2;
	RangeProperty wrist1;
	RangeProperty wrist2;
	RangeProperty pincherSize;
	void drawSphere(float r, int divisions);
	void drawCube(float l, float w, float h);
	void drawCylinder(double h, double r1, double r2, int divisions);

};
